Name:           lxmusic
Version:        0.4.8
Release:        %mkrel 1
Summary:        Lightweight XMMS2 client with simple user interface

Group:          Sound/Players
License:        GPLv2+
URL:            https://lxde.org/
Source0:        https://github.com/lxde/%name/archive/refs/tags/%{version}.tar.gz
# As long as there are no plugins, disable the Tools menu
Patch0:         lxmusic-0.3.0-no-tools-menu.patch
# https://sourceforge.net/p/lxde/bugs/774/
Patch10:	lxmusic-0.4.6-saver_quit_from_taskber_on_play.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(xmms2-client)
BuildRequires:  pkgconfig(xmms2-client-glib)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
Requires:       xmms2 >= 0.7

%description
LXMusic is a very simple gtk+ XMMS2 client written in pure C. It has very few 
functionality, and can do nothing more than play the music. The UI is very 
clean and simple. This is currently aimed to be used as the default music 
player of LXDE (Lightweight X11 Desktop Environment) project.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --enable-gtk3
%make_build


%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/lxmusic.desktop
%{_datadir}/lxmusic
%{_datadir}/icons/hicolor/128x128/apps/lxmusic.png


%changelog
* Mon Mar 17 2025 ns80 <ns80> 0.4.8-1.mga10
+ Revision: 2165615
- new version 0.4.8

* Tue Nov 05 2024 ns80 <ns80> 0.4.7-3.git20241025.1.mga10
+ Revision: 2112479
- update to latest git snapshot

* Tue Sep 10 2024 ns80 <ns80> 0.4.7-3.git20240817.1.mga10
+ Revision: 2094885
- update to latest git snapshot

* Mon Sep 04 2023 ns80 <ns80> 0.4.7-3.git20230903.1.mga10
+ Revision: 1984041
- update to latest git snapshot

* Thu Mar 09 2023 ns80 <ns80> 0.4.7-3.git20190224.6.mga9
+ Revision: 1948450
- rebuild for aging

* Thu Jun 09 2022 ns80 <ns80> 0.4.7-3.git20190224.5.mga9
+ Revision: 1863682
- rebuild for new XMMS2

* Wed Apr 06 2022 umeabot <umeabot> 0.4.7-3.git20190224.4.mga9
+ Revision: 1845835
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 ns80 <ns80> 0.4.7-3.git20190224.3.mga9
+ Revision: 1696093
- build with GTK 3
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 0.4.7-3.git20190224.2.mga8
+ Revision: 1523470
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.4.7-3.git20190224.1.mga7
+ Revision: 1371366
- update to latest git snapshot

* Sun Sep 23 2018 umeabot <umeabot> 0.4.7-2.mga7
+ Revision: 1299400
- Mageia 7 Mass Rebuild

* Sun Feb 21 2016 ns80 <ns80> 0.4.7-1.mga6
+ Revision: 975359
- imported package lxmusic

